MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003245ATutorAdminpublic2007-12-15 21:042008-08-21 08:57
ReporterIndieRect 
Assigned Toharris 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version1.6 
Target VersionFixed in Version1.6 
Summary0003245: Can't change admin default language.
DescriptionAdmin's default language preference is saved only if more than 5 languages are installed.
See: http://www.atutor.ca/view/3/11363/1.html [^] (search "Admin's inability to switch language").
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships

-  Notes
(0002730)
IndieRect (reporter)
2008-01-10 02:21
edited on: 2008-01-10 02:26

Re: http://www.atutor.ca/view/3/11363/1.html#12517 [^]

Reproduced in a fresh installation of 1.6 beta 3.
Steps:
1. Log in as an admin.
2. Make sure that the language selector is a series of links, not a dropdown box (i.e. you have fewer that six languages installed).
3. Click on some language -- the interface will change.
4. With MySQL or phpMyAdmin check that admin's entry in `AT_admins` -- `language` will still read 'en', while should correspond to the one you selected.

That's it.

Additional steps to make sure:
5. Log out from ATutor and back in as an admin -- the language is English again.
6. Install some more languages so that there is now a language selection dropdown box.
7. Click on a language.
8. See that the language has really been saved to the DB.
9. Log out and back in -- the language is changed.

Does it follow the same path in your installation?

(0002731)
harris (developer)
2008-01-10 05:26

svn: 7214

The admin uses login_name instead of member_id
(0002745)
harris (developer)
2008-01-16 06:30

reversed admin and member under if-conditional-stmt in vitals.inc.php line 201-203
(0002746)
harris (developer)
2008-01-16 06:31

7224

- Issue History
Date Modified Username Field Change
2007-12-15 21:04 IndieRect New Issue
2007-12-15 21:04 IndieRect Affects version => SVN
2008-01-08 10:34 greg Status new => assigned
2008-01-08 10:34 greg Assigned To => harris
2008-01-10 02:21 IndieRect Note Added: 0002730
2008-01-10 02:26 IndieRect Note Edited: 0002730
2008-01-10 05:26 harris Status assigned => resolved
2008-01-10 05:26 harris Fixed in Version => 1.6
2008-01-10 05:26 harris Resolution open => fixed
2008-01-10 05:26 harris Note Added: 0002731
2008-01-16 06:30 harris Status resolved => feedback
2008-01-16 06:30 harris Resolution fixed => reopened
2008-01-16 06:30 harris Note Added: 0002745
2008-01-16 06:31 harris Status feedback => assigned
2008-01-16 06:31 harris Status assigned => resolved
2008-01-16 06:31 harris Resolution reopened => fixed
2008-01-16 06:31 harris Note Added: 0002746
2008-08-21 08:57 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker